<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class InvoiceMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $note = null;
    


    protected $token = null;
    


    protected $attachmentType = null;
    


    protected $attachmentMimetype = null;
    


    protected $attachmentMediaKey = null;
    


    protected $attachmentMediaKeyTimestamp = null;
    


    protected $attachmentFileSha256 = null;
    


    protected $attachmentFileEncSha256 = null;
    


    protected $attachmentDirectPath = null;
    


    protected $attachmentJpegThumbnail = null;

    

















    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getNote()
    {
        return isset($this->note) ? $this->note : '';
    }

    public function hasNote()
    {
        return isset($this->note);
    }

    public function clearNote()
    {
        unset($this->note);
    }

    




    public function setNote($var)
    {
        GPBUtil::checkString($var, True);
        $this->note = $var;

        return $this;
    }

    



    public function getToken()
    {
        return isset($this->token) ? $this->token : '';
    }

    public function hasToken()
    {
        return isset($this->token);
    }

    public function clearToken()
    {
        unset($this->token);
    }

    




    public function setToken($var)
    {
        GPBUtil::checkString($var, True);
        $this->token = $var;

        return $this;
    }

    



    public function getAttachmentType()
    {
        return isset($this->attachmentType) ? $this->attachmentType : 0;
    }

    public function hasAttachmentType()
    {
        return isset($this->attachmentType);
    }

    public function clearAttachmentType()
    {
        unset($this->attachmentType);
    }

    




    public function setAttachmentType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\Message\InvoiceMessage\AttachmentType::class);
        $this->attachmentType = $var;

        return $this;
    }

    



    public function getAttachmentMimetype()
    {
        return isset($this->attachmentMimetype) ? $this->attachmentMimetype : '';
    }

    public function hasAttachmentMimetype()
    {
        return isset($this->attachmentMimetype);
    }

    public function clearAttachmentMimetype()
    {
        unset($this->attachmentMimetype);
    }

    




    public function setAttachmentMimetype($var)
    {
        GPBUtil::checkString($var, True);
        $this->attachmentMimetype = $var;

        return $this;
    }

    



    public function getAttachmentMediaKey()
    {
        return isset($this->attachmentMediaKey) ? $this->attachmentMediaKey : '';
    }

    public function hasAttachmentMediaKey()
    {
        return isset($this->attachmentMediaKey);
    }

    public function clearAttachmentMediaKey()
    {
        unset($this->attachmentMediaKey);
    }

    




    public function setAttachmentMediaKey($var)
    {
        GPBUtil::checkString($var, False);
        $this->attachmentMediaKey = $var;

        return $this;
    }

    



    public function getAttachmentMediaKeyTimestamp()
    {
        return isset($this->attachmentMediaKeyTimestamp) ? $this->attachmentMediaKeyTimestamp : 0;
    }

    public function hasAttachmentMediaKeyTimestamp()
    {
        return isset($this->attachmentMediaKeyTimestamp);
    }

    public function clearAttachmentMediaKeyTimestamp()
    {
        unset($this->attachmentMediaKeyTimestamp);
    }

    




    public function setAttachmentMediaKeyTimestamp($var)
    {
        GPBUtil::checkInt64($var);
        $this->attachmentMediaKeyTimestamp = $var;

        return $this;
    }

    



    public function getAttachmentFileSha256()
    {
        return isset($this->attachmentFileSha256) ? $this->attachmentFileSha256 : '';
    }

    public function hasAttachmentFileSha256()
    {
        return isset($this->attachmentFileSha256);
    }

    public function clearAttachmentFileSha256()
    {
        unset($this->attachmentFileSha256);
    }

    




    public function setAttachmentFileSha256($var)
    {
        GPBUtil::checkString($var, False);
        $this->attachmentFileSha256 = $var;

        return $this;
    }

    



    public function getAttachmentFileEncSha256()
    {
        return isset($this->attachmentFileEncSha256) ? $this->attachmentFileEncSha256 : '';
    }

    public function hasAttachmentFileEncSha256()
    {
        return isset($this->attachmentFileEncSha256);
    }

    public function clearAttachmentFileEncSha256()
    {
        unset($this->attachmentFileEncSha256);
    }

    




    public function setAttachmentFileEncSha256($var)
    {
        GPBUtil::checkString($var, False);
        $this->attachmentFileEncSha256 = $var;

        return $this;
    }

    



    public function getAttachmentDirectPath()
    {
        return isset($this->attachmentDirectPath) ? $this->attachmentDirectPath : '';
    }

    public function hasAttachmentDirectPath()
    {
        return isset($this->attachmentDirectPath);
    }

    public function clearAttachmentDirectPath()
    {
        unset($this->attachmentDirectPath);
    }

    




    public function setAttachmentDirectPath($var)
    {
        GPBUtil::checkString($var, True);
        $this->attachmentDirectPath = $var;

        return $this;
    }

    



    public function getAttachmentJpegThumbnail()
    {
        return isset($this->attachmentJpegThumbnail) ? $this->attachmentJpegThumbnail : '';
    }

    public function hasAttachmentJpegThumbnail()
    {
        return isset($this->attachmentJpegThumbnail);
    }

    public function clearAttachmentJpegThumbnail()
    {
        unset($this->attachmentJpegThumbnail);
    }

    




    public function setAttachmentJpegThumbnail($var)
    {
        GPBUtil::checkString($var, False);
        $this->attachmentJpegThumbnail = $var;

        return $this;
    }

}

